# $Revision: 1.18 $, $Date: 2004/11/27 18:52:06 $
#
# Conditional build:
%bcond_with	gtk1	# use GTK+ 1.2.x instead of 2.x.x
#
Summary:	Graphic Viewer
Summary(pl):	Przegldarka plikw graficznych
Name:		gimageview
Version:	0.2.26
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/gtkmmviewer/%{name}-%{version}.tar.gz
# Source0-md5:	7d8dc0e122aae6e0a108dba499fe6b69
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-gtk.patch
Patch2:		%{name}-desktop.patch
URL:		http://www.homa.ne.jp/~ashie/gimageview/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	libwmf-devel >= 2:0.2.8
BuildRequires:	xine-lib-devel >= 1:1.0
BuildRequires:	zlib-devel
%if %{with gtk1}
BuildRequires:	glib-devel >= 1.2.6
BuildRequires:	gnome-libs-devel >= 1.2.8
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	gdk-pixbuf-devel >= 0.8.0
BuildRequires:	librsvg-devel >= 1.0.0
BuildRequires:	libxml-devel
Requires:	gdk-pixbuf >= 0.8.0
Requires:	glib >= 1.2.6
Requires:	gtk+ >= 1.2.6
%else
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	pkgconfig
%endif
Requires:	libwmf >= 2:0.2.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GImageView is a GTK+ based image viewer. It support tabbed browsing,
thumbnail table views, directory tree views, drag and drop, reading
thumbnail cache of other famous image viewers, and flexible user
interface.

%description -l pl
GImageView to oparta na GTK+ przegldarka obrazkw. Pozwala na
przegldanie z zakadkami, przegldanie miniaturek i drzew katalogw,
obsuguje drag-n-drop, potrafi odczytywa miniaturki z cache innych
przegldarek obrazkw i ma elastyczny interfejs uytkownika.

%prep
%setup -q
%patch0 -p1 
#%patch1 -p1
%patch2 -p1

rm -f m4/{gettext.m4,libtool.m4}

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_gtk1:--with-gtk2}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	desktopdir=%{_desktopdir}

rm -f $RPM_BUILD_ROOT%{_libdir}/gimageview/*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%doc %lang(ja) doc/ja/{ChangeLog,NEWS,README,TODO}.ja
%attr(755,root,root) %{_bindir}/gimv
%dir %{_datadir}/gimageview
%dir %{_datadir}/gimageview/pixmaps
%dir %{_datadir}/gimageview/pixmaps/default
%{_datadir}/gimageview/pixmaps/default/*.xpm
%dir %{_libdir}/gimageview
%dir %{_libdir}/gimageview/*
%attr(755,root,root) %{_libdir}/gimageview/*/*.so
%{_desktopdir}/gimageview.desktop
%{_pixmapsdir}/gimv.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gimageview.spec,v $
Revision 1.18  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.17  2004/11/01 23:38:33  adamg
- updated to 0.2.26
- BuildRequires: gnome-vfs2-devel
- commented out gtk patch; probably to be removed

Revision 1.16  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.15  2004/09/03 09:18:16  krolik
- builds and works, rel.1

Revision 1.14  2004/07/16 14:34:57  qboosh
- added gtk,desktop patches, more fixes in DESTDIR patch; builds now
- more BRs

Revision 1.13  2004/07/16 08:16:20  ankry
- added TODO, DESTDIR patch, fixed %files

Revision 1.12  2004/07/15 20:13:05  jack
- added bcond for gtk1 (gtk2 still doesn't build)
- %install fucked up whatever gtk you choise - please help!

Revision 1.11  2004/07/15 18:10:17  jack
- updated to 0.2.25 (NFY!)

Revision 1.10  2004/07/14 21:13:14  ankry
- install fix

Revision 1.9  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.8  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.7  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:47:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.4  2002/12/03 21:33:58  ankry
- cleaning

Revision 1.3  2002/11/27 20:15:37  juandon
- new %%doc

Revision 1.2  2002/05/08 09:26:35  qboosh
- fixed Group and prefix, pl description, use find_lang, cleanups

Revision 1.1  2002/05/07 19:44:46  pioklo
- new PLD spec
- not ready yet
